package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;
import cz.moneta.test.harness.support.mwf.MwfRequest;

public interface MWFHG3 extends MwfRequest<MWFHG3, MWFHG3Response> {

    @Parameter(name = "ACTIVE")
    MWFHG3 active(Long active);
    @Parameter(name = "ID_CATEGORY")
    MWFHG3 idCategory(String idCategory);
    @Parameter(name = "ID_SUBCATEGORY")
    MWFHG3 idSubcategory(String idSubcategory);
    @Parameter(name = "ID_TASK_TYPE")
    MWFHG3 idTaskType(String idTaskType);
}
